SKILL(1)

NOME
skill, snice - envia um sinal ou relata status de processo

SINOPSE
skill [sinal] [opções] expressão
snice [nova prioridade] [opções] expressão

DESCRIÇÃO
These tools are obsolete and unportable. The command syntax is poorly defined. Consider using the killall, pkill, and pgrep commands instead.

The default signal for skill is TERM. Use -l or -L to list available signals. Particularly useful signals include HUP, INT, KILL, STOP, CONT, and 0. Alternate signals may be specified in three ways: -9 -SIGKILL -KILL.

The default priority for snice is +4. Priority numbers range from +20 (slowest) to -20 (fastest). Negative priority numbers are restricted to administrative users.

OPÇÕES

-f, --fast
    Modo rápido. Essa opção não foi implementada.

-i, --interactive
    Uso interativo. Você será solicitado aprovação para cada ação.

-l, --list
    Lista todos os nomes de sinais.

-L, --table
    Lista todos os nomes de sinais em uma tabela legal.

-n, --no-action
    Nenhuma ação; realiza uma simulação dos eventos que ocorreriam, mas não chega a alterar o sistema.

-v, --verbose
    Verboso; explica o que está sendo feito.

-w, --warnings
    Habilita avisos. Essa opção não foi implementada.

-h, --help
    Exibe um texto de ajuda e sai.

-V, --version
    Exibe informação da versão.

OPÇÕES DE SELEÇÃO DE PROCESSO
Critérios de seleção podem ser: terminal, user, pid, command. As opções abaixo podem ser usadas para garantir interpretação correta.

-t, --tty tty
    A próxima expressão é um terminal (tty ou pty).

-u, --user usuário
    A próxima expressão é um nome de usuário.

-p, --pid pid
    A próxima expressão é um número de ID de processo.

-c, --command comando
    A próxima expressão é um nome de comando.

--ns pid
    Corresponde os processos que pertencem ao mesmo espaço de nomes e pid.

--nslist ns,...
    list which namespaces will be considered for the --ns option. Available namespaces: ipc, mnt, net, pid, user, uts.

SINAIS
O comportamento de sinais é explicado na página de manual signal(7).

EXEMPLOS

snice -c seti -c crack +7
    +Slow down seti and crack commands.

skill -KILL -t /dev/pts/*
    Termina usuários nos dispositivos PTY.

skill -STOP -u viro -u lm -u davem
    Para três usuários.

VEJA TAMBÉM
kill(1), kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7)

PADRÕES
Nenhum padrão aplicável.

AUTOR
Albert Cahalan (albert@users.sf.net) wrote skill and snice in 1999 as a replacement for a non-free version.

RELATANDO ERROS
Por favor, envie relatórios de erros para procps@freelists.org